> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/rtb/es/editores/exoclick-rtb/bid-response.md).

# Respuesta de puja RTB de ExoClick

La siguiente página describe las respuestas que debería esperar recibir de las solicitudes RTB de ExoClick:

## Objeto de respuesta de puja

La respuesta de puja RTB de ExoClick se realiza mediante JSON y XML.

| Atributo    | Descripción                                                                                                                                                              |
| ----------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| id          | ID del objeto al que se aplica esta puja (cadena)                                                                                                                        |
| imgUrl      | URL de la imagen (solo para el tipo banner) (cadena)                                                                                                                     |
| iconUrl     | URL del icono (solo para el tipo push\_notification y debe tener las dimensiones solicitadas) (cadena)                                                                   |
| clickUrl    | URL de destino cuando se hace clic en la campaña (para el tipo banner o push\_notification) (cadena)                                                                     |
| nUrl        | URL de notificación de victoria (cadena)                                                                                                                                 |
| url         | URL de destino cuando se hace clic en la campaña (solo para el tipo popunder) (cadena)                                                                                   |
| title       | Título del anuncio (solo para el tipo push\_notification) (cadena)                                                                                                       |
| description | Descripción del anuncio (solo para el tipo push\_notification) (cadena)                                                                                                  |
| value       | Precio de la puja en CPM (float)                                                                                                                                         |
| btype       | Modelo de precios. Valores: 1 = CPM, 2 = CPC. Predeterminado = 1 (int). Cuando la respuesta es para una solicitud de zona de clics de correo electrónico, 1 = Smart CPC. |

**Notas:**

* `"id"` el atributo debe coincidir con el **"id recibido en la solicitud"**.
* **Notificación push** el formato de anuncio puede recibir pujas con el modelo de precios CPC. **Direct Link** el formato también puede, cuando se usa para **Clic de correo electrónico** solicitudes de zona.

## Notificación de victoria

Cuando el parámetro **Objeto de respuesta de puja > nUrl** está en la respuesta de la puja, se debe realizar una solicitud GET a esa URL.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/rtb/es/editores/exoclick-rtb/bid-response.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
